Bug 429455 - Fedora 8 crashes on login (but not for all users)
Fedora 8 crashes on login (but not for all users)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 09:46 EST by Chris Rankin
Modified: 2009-01-09 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:36:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdm log showing back-trace from crashed X (2.33 KB, text/plain)
2008-01-20 09:46 EST, Chris Rankin
no flags Details
Xorg config file (3.59 KB, text/plain)
2008-01-20 09:48 EST, Chris Rankin
no flags Details
Xorg log file from a crash (70.62 KB, text/plain)
2008-01-21 13:59 EST, Chris Rankin
no flags Details
Xorg log file from built-in configuration (73.30 KB, text/plain)
2008-01-21 14:02 EST, Chris Rankin
no flags Details

  None (edit)
Description Chris Rankin 2008-01-20 09:46:41 EST
Description of problem:
Trying to login to Fedora 8 after 18th January 2008, but X crashes.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-37.fc8
xorg-x11-drv-ati-6.7.196-2.fc8
gdm-2.20.2-2.fc8

How reproducible:
Every time, unless I login via a serial console first and delete the existing
/tmp/gconfd-<username> directory.


Steps to Reproduce:
1. Login as a standard user.
  
Actual results:
X crashes while drawing the icons on my gnome-panel. I am then returned to the
login screen. Some processes may be left "dangling" in the process table.

Expected results:
Logging in would be nice.

Additional info:
There must be "something" about my desktop that is triggering this because other
users are unaffected. Possibly it's my "double height" gnome-panel at the bottom
of the desktop, with no gnome-panel at the top. X seems to crash while putting
the icons on the gnome-panel. My screen resolution is 1680x1050, with a default
depth of 24 bits. My video card is a Radeon 9550, and I have not enabled desktop
effects.
Comment 1 Chris Rankin 2008-01-20 09:46:41 EST
Created attachment 292289 [details]
gdm log showing back-trace from crashed X
Comment 2 Chris Rankin 2008-01-20 09:48:54 EST
Created attachment 292290 [details]
Xorg config file
Comment 3 Matěj Cepl 2008-01-21 07:57:22 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Chris Rankin 2008-01-21 13:59:12 EST
Created attachment 292394 [details]
Xorg log file from a crash
Comment 6 Chris Rankin 2008-01-21 14:02:14 EST
Created attachment 292395 [details]
Xorg log file from built-in configuration
Comment 7 Chris Rankin 2008-01-22 15:59:35 EST
And I have already attached the xorg.conf file.
Comment 8 Chris Rankin 2008-01-23 19:44:56 EST
The "workaround" I was using, namely deleting the /tmp/gcondf-<user> directory
over a serial console, is no longer working for me. It appears to be "just luck"
whether the X server crashes or not. Note that the crash is still happening with
xorg-x11-server-Xorg-1.3.0.0-39.fc8, and that the gnome-panel is still implicated.
Comment 9 Christof Damian 2008-01-28 02:05:31 EST
I am seeing the same problem on two computers. Both users have double height
transparent gnome-panels. Users with other settings, like the root user don't
have the problem.

Both computers have AMD processors Athlon XP and Duron. 
Comment 10 Chris Rankin 2008-01-28 13:44:55 EST
Now that you mention it, my gnome panel is also semi-transparent. I've made it
100% opaque now to see if it makes any difference. Disabling AIGLX or the
Composite extension certainly didn't help.
Comment 11 Chris Rankin 2008-01-29 14:40:29 EST
Turning the gnome-panel opaque has enabled me to login without X crashing, for
once. So the bug does seem to be related to transparency.
Comment 12 Christof Damian 2008-01-29 17:46:55 EST
I reported a very similar bug in 2006 (FC5) btw. It vanished after a few months.
The backtrace looks pretty much the same.

https://bugzilla.redhat.com/show_bug.cgi?id=189461
Comment 13 Bug Zapper 2008-11-26 04:29:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:36:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.